Subject: bug#72753: Different output between SBCL `loop` and Emacs `cl-loop`

From: Okamsn <[email-masked]>
Date: Thu, 22 Aug 2024 01:55:07 +0000

Hello,

The following in SBCL 2.1.11 produces 3, which I expected.

     (loop for i in '(1 2 3)
           for j from 1
           finally (return j))

The following in Emacs 29 produces 4, which I did not expect.

     (cl-loop for i in '(1 2 3)
              for j from 1
              finally (cl-return j))

This is a simplified example that only shows the difference.

I don't know what the standard behavior is, but I personally believe 
that the SBCL output makes more sense.

Thank you.